package com.steering.mes.mcp.entity;

/**
 * 数据库表YDM_ZC_INITIAL_JG_HSK所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-20160918TFRG   date 2021-11-02
 */
public class YdmZcInitialJgHskEntity implements java.io.Serializable {
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
     * ID_
     */
    private String initialId = "";
    /**
     * 炉号
     */
    private String judgeStoveNo = "";
    /**
     * 批号
     */
    private String batchNo = "";
    /**
     * 工单号（上料行ID+01流水）
     */
    private String woId = "";
    /**
     * 接箍产线代码
     */
    private String plineCode = "";
    /**
     * 接箍产线描述
     */
    private String plineName = "";
    /**
     * 钢级(牌号)代码
     */
    private String steelcode = "";
    /**
     * 钢级(牌号)名称
     */
    private String steelname = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 外径
     */
    private String dimater = "";
    /**
     * 壁厚
     */
    private String height = "";
    /**
     * 扣型代码
     */
    private String modelCode = "";
    /**
     * 扣型描述
     */
    private String modelDesc = "";
    /**
     * 品名代码
     */
    private String produccode = "";
    /**
     * 品名描述
     */
    private String producname = "";
    /**
     * 支数
     */
    private String actCount = "";
    /**
     * 实重
     */
    private String actWeight = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 结转年月
     */
    private String balYearMonth = "";

    /**
     * ID_
     * @return value
     */
    public String getInitialId() {
        return initialId;
    }

    /**
     * ID_
     * @param initialId value
     */
    public void setInitialId(String initialId) {
        this.initialId = initialId;
    }

    /**
     * 炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 工单号（上料行ID+01流水）
     * @return value
     */
    public String getWoId() {
        return woId;
    }

    /**
     * 工单号（上料行ID+01流水）
     * @param woId value
     */
    public void setWoId(String woId) {
        this.woId = woId;
    }

    /**
     * 接箍产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 接箍产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 接箍产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 接箍产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 外径
     * @return value
     */
    public String getDimater() {
        return dimater;
    }

    /**
     * 外径
     * @param dimater value
     */
    public void setDimater(String dimater) {
        this.dimater = dimater;
    }

    /**
     * 壁厚
     * @return value
     */
    public String getHeight() {
        return height;
    }

    /**
     * 壁厚
     * @param height value
     */
    public void setHeight(String height) {
        this.height = height;
    }

    /**
     * 扣型代码
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 扣型描述
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 扣型描述
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

    /**
     * 品名代码
     * @return value
     */
    public String getProduccode() {
        return produccode;
    }

    /**
     * 品名代码
     * @param produccode value
     */
    public void setProduccode(String produccode) {
        this.produccode = produccode;
    }

    /**
     * 品名描述
     * @return value
     */
    public String getProducname() {
        return producname;
    }

    /**
     * 品名描述
     * @param producname value
     */
    public void setProducname(String producname) {
        this.producname = producname;
    }

    /**
     * 支数
     * @return value
     */
    public String getActCount() {
        return actCount;
    }

    /**
     * 支数
     * @param actCount value
     */
    public void setActCount(String actCount) {
        this.actCount = actCount;
    }

    /**
     * 实重
     * @return value
     */
    public String getActWeight() {
        return actWeight;
    }

    /**
     * 实重
     * @param actWeight value
     */
    public void setActWeight(String actWeight) {
        this.actWeight = actWeight;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 结转年月
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结转年月
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }
}
